Name:           audio-entropyd
Version:        2.0.1
Release:        3%{?dist}
License:        GPLv2
Group:          System Environment/Daemons
Summary:        Generate entropy from audio output
URL:            http://www.vanheusden.com/aed/
Source0:        http://www.vanheusden.com/aed/audio-entropyd-%{version}.tgz
Source1:        audio-entropyd
Source2:	audio-entropyd.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	alsa-lib-devel
Requires(post):   chkconfig
Requires(preun):  chkconfig, initscripts
Requires(postun): initscripts

%description
Audio-entropyd generates entropy-data for the /dev/random device.

%prep
%setup -q

%build
make OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m0755 audio-entropyd $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/audio-entropyd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add audio-entropyd

%preun
if [ "$1" -eq "0" ]; then
  /sbin/service audio-entropyd stop >/dev/null 2>&1
  /sbin/chkconfig --del audio-entropyd
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service audio-entropyd condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_initrddir}/audio-entropyd
%{_sbindir}/audio-entropyd
%config(noreplace) %{_sysconfdir}/sysconfig/audio-entropyd

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.1-1
- upstream took my alsa patch (improved on it too)

* Wed Mar 25 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.5-4
- port from OSS to ALSA

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.5-2
- initscript no longer on by default (bz 441273)

* Sun Sep 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.5-1
- update to 1.0.5
- drop debug patch, upstream fixed the problem in a different manner
- add config file and fix initscript to use it (bz 463904)

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.1-5
- random rawhide appeasement

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.1-4
- add xtra-debug option

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.1-2
- Autorebuild for GCC 4.3

* Tue Feb 19 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-1
- update to 1.0.1

* Thu Aug 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-5
- rebuild for BuildID

* Thu Aug  2 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-4
- selinux policy not needed

* Mon Jun 11 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-3
- add selinux policy (bugzilla 243453)

* Tue Jun  5 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-2
- add condrestart to postun

* Tue May 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-1
- initial package for Fedora Extras
